Subject: Re: bug#69404: Loss of latex-mode fontification when loading libraries in latex-mode-hook that require json-mode

From: Gabriele Nicolardi <[email-masked]>
Date: Mon, 26 Feb 2024 17:24:12 +0100

Il 26/02/24 16:57, Eli Zaretskii ha scritto:
>> In the buffer loaded as above, with the wrong fontification, I have:
>>
>> major-mode is a variable defined in ‘C source code’.
>>
>>
>> Its value is ‘latex-mode’
>> Original value was ‘fundamental-mode’
>> Local in buffer test.tex; global value is fundamental-mode
> Then I suggest to look for the reason in json-mode.el.  For example,
> this part:
>
>    (add-to-list 'magic-fallback-mode-alist '("^[{[]$" . json-mode))
>
> could change the global state when you load json-mode.

I opened and issue on the json-mode GitHub project page.